/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for AreaMethods
 */
public enum EnumCV_AreaMethods 
{
	//CID 12229 Area Methods
	AREA_BY_PRESSURE_HALF_TIME_125210("125210"),
	CONTINUITY_EQUATION_125212("125212"),
	CONTINUITY_EQUATION_BY_MEAN_VELOCITY_125213("125213"),
	CONTINUITY_EQUATION_BY_PEAK_VELOCITY_125214("125214"),
	CONTINUITY_EQUATION_BY_VELOCITY_TIME_INTEGRAL_125215("125215"),
	PROXIMAL_ISOVELOCITY_SURFACE_AREA_125216("125216"),
	PLANIMETRY_125220("125220");

	private String value;
	
	EnumCV_AreaMethods(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
